FROM registry.odit.services/hub/betterweb/hugo:latest as build
WORKDIR /app

COPY . /app/
RUN hugo

FROM registry.odit.services/library/nginx-brotli:3.15
COPY ./nginx.conf /etc/nginx/nginx.conf
COPY --from=build /app/public /usr/share/nginx/html